/*
 * Class INDEXABLE [NATURAL_32, INTEGER_32]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1917 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1917 [] = {0xFF01,1551,1916,851,869,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1917 [] = {0xFF01,1916,851,869,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1917 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1917 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1917 [] = {0xFF01,1916,851,869,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1917 [] = {0xFF01,1916,851,869,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1917 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1917 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1917 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1917 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1917 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1917 [] = {1916,851,869,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1917 [] = {0xFF01,1916,851,869,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1917 [] = {0xFF01,1902,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1917 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1917 [] = {0xFF01,1897,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1917 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_1917 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_1917 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_20_1917 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_1917 [] = {0xFF01,580,0xFFFF};
static const EIF_TYPE_INDEX egt_22_1917 [] = {0xFFF8,2,0xFFFF};


static const struct desc_info desc_1917[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1917), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1917), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1917), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1917), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1917), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1917), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1917), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1917), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1917), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1917), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1917), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1917), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1917), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1917), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8643, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8644, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8645, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8646, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8647, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1917), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1917), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9036, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9067, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9037, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9038, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1917), 11018, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1917), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_1917), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_1917), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_1917), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_1917), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_1917), -1, 0xFFFFFFFF},
};
void Init1917(void)
{
	IDSC(desc_1917, 0, 1916);
	IDSC(desc_1917 + 1, 1, 1916);
	IDSC(desc_1917 + 32, 1134, 1916);
	IDSC(desc_1917 + 41, 1135, 1916);
	IDSC(desc_1917 + 50, 1088, 1916);
	IDSC(desc_1917 + 52, 916, 1916);
	IDSC(desc_1917 + 58, 1570, 1916);
	IDSC(desc_1917 + 61, 778, 1916);
	IDSC(desc_1917 + 62, 794, 1916);
}


#ifdef __cplusplus
}
#endif
